Subject: Re: linux-next: manual merge of the rtc tree with the omap tree

From: Keerthy <[email-masked]>
Date: Tue, 9 Apr 2019 18:55:51 +0530

On 09/04/19 10:52 AM, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the rtc tree got a conflict in:
> 
>    drivers/rtc/rtc-omap.c
> 
> between commit:
> 
>    6256f7f7f217 ("rtc: OMAP: Add support for rtc-only mode")
> 
> from the omap tree and commit:
> 
>    35118b7a4ea0 ("rtc: omap: let the core handle range")
> 
> from the rtc tree.
> 
> I fixed it up (I used the latter resolution around tm2bcd() changes) and
> can carry the fix as necessary. This is now fixed as far as linux-next
> is concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.

Thanks Stephen. I have tested with Latest next and rtc+ddr mode is 
functional with an additional fix that Tony is about to queue.

I also reviewed the rtc driver and looks fine.